#pragma once
#include "Entity.h"
class CS_Enemy_LaserTrapBlade :
    public Entity
{
public:
    CS_Enemy_LaserTrapBlade(std::shared_ptr<Entity> parent);
    void Step() override;
    void Attack(std::weak_ptr<Entity> dst, int* outDamage, float* outAngle, bool* outTakedown, int* outElemType, float* outShockForce, float* outHeavy) override;
    int exist_time = 10;
};

std::shared_ptr<CS_Enemy_LaserTrapBlade> SetCS_Enemy_LaserTrapBlade(std::shared_ptr<Entity> parent, float x, float y);